---
title: Get an entity context sync configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

# Get an entity context sync configuration{% #get-an-entity-context-sync-configuration %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                                          |
| ----------------- | --------------------------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/security_monitoring/configuration/integration_config/{integration_config_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/{integration_config_id} |

### Overview

Get the details of a specific entity context sync configuration. This endpoint requires the `integrations_read` permission.

OAuth apps require the `integrations_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#security-monitoring) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                    | Type   | Description                                      |
| --------------------------------------- | ------ | ------------------------------------------------ |
| integration_config_id [*required*] | string | The ID of the entity context sync configuration. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single entity context sync configuration.

| Parent field | Field                              | Type      | Description                                                                                                             |
| ------------ | ---------------------------------- | --------- | ----------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]             | object    | An entity context sync configuration.                                                                                   |
| data         | attributes [*required*]       | object    | The attributes of an entity context sync configuration as returned by the API.                                          |
| attributes   | created_at                         | date-time | The time at which the entity context sync configuration was created.                                                    |
| attributes   | domain [*required*]           | string    | The domain associated with the external entity source (for example, the customer's identity provider domain).           |
| attributes   | enabled [*required*]          | boolean   | Whether the sync is enabled and actively ingesting entities into Cloud SIEM.                                            |
| attributes   | integration_type [*required*] | enum      | The type of external source that provides entities to Cloud SIEM. Allowed enum values: `GOOGLE_WORKSPACE,OKTA,ENTRA_ID` |
| attributes   | modified_at                        | date-time | The time at which the entity context sync configuration was last modified.                                              |
| attributes   | name                               | string    | The display name of the entity context sync configuration.                                                              |
| attributes   | settings                           | object    | Free-form, non-sensitive settings for the entity context sync. The accepted keys depend on the source type.             |
| attributes   | state                              | enum      | The state of the credentials configured on the entity context sync. Allowed enum values: `valid,invalid,initializing`   |
| data         | id [*required*]               | string    | The unique identifier of the integration configuration.                                                                 |
| data         | type [*required*]             | enum      | The type of the resource. The value should always be `integration_config`. Allowed enum values: `integration_config`    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2026-05-01T12:00:00Z",
      "domain": "siem-test.com",
      "enabled": true,
      "integration_type": "GOOGLE_WORKSPACE",
      "modified_at": "2026-05-01T12:00:00Z",
      "name": "My GWS Integration",
      "settings": {
        "setting1": "value1"
      },
      "state": "valid"
    },
    "id": "11111111-2222-3333-4444-555555555555",
    "type": "integration_config"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export integration_config_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/security_monitoring/configuration/integration_config/${integration_config_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
